Bug 7887 - [Update Request] mednafen 0.9.44
: [Update Request] mednafen 0.9.44
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
https://mednafen.github.io/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-22 06:17 MSD by Zombie Ryushu
Modified: 2017-04-24 18:44 MSD (History)
2 users (show)

See Also:
RPM Package: mednafen
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zombie Ryushu 2017-04-22 06:17:53 MSD
Notable changes since 0.9.43:

    Added command-line option "-which_medium", to specify which CD to start with when using multi-CD M3U sets.
    SNES: Fixed "Tractor Beam" spell graphical glitches in "Star Ocean".
    SNES: Fixed emulator hang when saving state in "Panic Bomber W".
    SNES_FAUST: Added PAL support.
    SNES_FAUST: Made minor optimizations to the BG rendering code.
    SNES_FAUST: Added setting "snes_faust.correct_aspect", default value of "1".
    SS: Fixed broken input in "Primal Rage"(a 0.9.43 regression).
    SS: Added support for a 16MiB RAM cart mapped into the A-bus CS1 area(for "Heart of Darkness" and homebrew).
    VB: Added support for custom palettes.
    VB: Reworked how LED on-state duration is translated into RGB values and added setting "vb.ledonscale"; the default value of "vb.ledonscale" is set such that the overall brightness will be lower than in previous versions of Mednafen, to reduce white crush, but the user can set it to a value of "1.9921875" to approximate the old brightness level.
    WonderSwan: Removed setting "wswan.rotateinput", and added a new device("gamepadraa") that can be selected on virtual input port 1 to automatically rotate inputs when the display is rotated.
Comment 1 Andrey Bondrov 2017-04-22 07:44:29 MSD
Done both for rosa2016.1 and rosa2014.1.
Comment 2 Zombie Ryushu 2017-04-22 13:51:58 MSD
There was a Build error on i586/Rosa 2014.1
Comment 3 Andrey Bondrov 2017-04-22 17:19:30 MSD
(In reply to comment #2)
> There was a Build error on i586/Rosa 2014.1

Yes, but I re-created the build right after it failed. So i586/Rosa 2014.1 was published:

https://abf.rosalinux.ru/build_lists/2869717
Comment 4 Zombie Ryushu 2017-04-23 15:54:04 MSD
I need to re-open this, -- 0.9.44.1: --

April 21, 2017:
	MD: Added a missing MDFN_FASTCALL, the absence of which broke 32-bit x86 builds(either at link time or run time).

Please update to fix this problem.
Comment 5 Andrey Bondrov 2017-04-24 18:44:04 MSD
Done.